curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"filters": {
"retail": {
"locationNum": 12
},
"orderSubTotal": {
"gte": 1300,
"lt": 1400
},
"orderNumber": "order-*Z",
"statusCode": [
"ORDER_CREATED"
],
"createdAt": {
"lt": "2022-09-11T23:12:00.123Z"
},
"shipInfo": {
"shipToId": [
"23434",
"23436"
]
}
},
"limit": 10,
"offset": 0,
"sortBy": "updatedAt",
"sortDirection": "desc"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config/query"
payload = {
"filters": {
"retail": { "locationNum": 12 },
"orderSubTotal": {
"gte": 1300,
"lt": 1400
},
"orderNumber": "order-*Z",
"statusCode": ["ORDER_CREATED"],
"createdAt": { "lt": "2022-09-11T23:12:00.123Z" },
"shipInfo": { "shipToId": ["23434", "23436"] }
},
"limit": 10,
"offset": 0,
"sortBy": "updatedAt",
"sortDirection": "desc"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: {
retail: {locationNum: 12},
orderSubTotal: {gte: 1300, lt: 1400},
orderNumber: 'order-*Z',
statusCode: ['ORDER_CREATED'],
createdAt: {lt: '2022-09-11T23:12:00.123Z'},
shipInfo: {shipToId: ['23434', '23436']}
},
limit: 10,
offset: 0,
sortBy: 'updatedAt',
sortDirection: 'desc'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/configurations/tenant-config/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 100,
"limit": 10,
"offset": 1
}{
"message": "[filters must not be null]"
}{
"message": "Not Found"
}{
"message": "Internal Server Error"
}Get configuration for given filters.
Get Tenant info for the given tenantId
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
LibQuery Model
JSON to do filtration of records. to filter records json structure should be similar to target entity structure i.e order, shipment etc
Show child attributes
Show child attributes
{
"retail": { "locationNum": 12 },
"orderSubTotal": { "gte": 1300, "lt": 1400 },
"orderNumber": "order-*Z",
"statusCode": ["ORDER_CREATED"],
"createdAt": { "lt": "2022-09-11T23:12:00.123Z" },
"shipInfo": { "shipToId": ["23434", "23436"] }
}
Numbers of records to be returned.
10
Number of records to skipped.
0
Item property on which data needed to be sorted on.
"updatedAt"
Direction of sorting i.e ascending or descending
asc, desc "desc"
Was this page helpful?
